# Copyright (C) 2001 Stfane Fermigier <sf@fermigier.com> and
# Nuxeo SARL <contact@nuxeo.com>.
# See licence info at the end of this file.

import HTMLDocument
from ZClasses import createZClassForBase
 
createZClassForBase(HTMLDocument.HTMLDocument, globals(), 
  'ZHTMLDocument', 'HTML Document')

def initialize(context):
	"Initialize the HTML Document product"
	context.registerClass(
		HTMLDocument.HTMLDocument,
		permission='Add HTML Documents',
		constructors = (
			HTMLDocument.addHTMLDocumentForm,
			HTMLDocument.addHTMLDocument,
		),
		icon = "www/icon.gif"
	)
